EDIT - bug #8051

improve display of registration items lists
01/31/2019 03:51 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Wolf-Henning Kusber % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal Found in Version:

Description

lists of registration items are being used in

e registration search results
¢ reference page nomenclatural acts section

Requirements:

1. in the search results the registration id, date and institute is to be shown above the summary, date and institute will be greyed
out

2. in all other lists the registration id, date and institute should come after the summary without line break.

3. the name and typification types (Holotype, Lectotype, ...) which belong to the nomeclatural act will be shown in bold letters

4. A name which is in the summary but not part of the actual nomenclatural act will be greyed out.

Related issues:
Related to EDIT - bug #8052: implement selenium tests for registration items ... New

Associated revisions

Revision 26b8aibc - 02/01/2019 12:40 PM - Andreas Kohlbecker

ref #8051 harmonizing registrationDTO composition and splitting full and compact style into separate methods

Revision 12466422 - 02/01/2019 01:47 PM - Andreas Kohlbecker

ref #8051 typos and whitespace issue

Revision f461a488 - 02/01/2019 04:21 PM - Andreas Kohlbecker

ref #8051 styling name and type in registration items to emphasize nature of nomencalatural act: \n - render options for tagged text
cdm_tagged_text_add_options()

e cdm_tagged_text_expand_entity_references() and cdm_tagged_text_to_markup() respecting tagged text opotions
e using tagged text options for registration items

Revision 67f5eac2 - 02/11/2019 06:25 PM - Andreas Kohlbecker

ref #8051 solving bug related to missing specimen type designations

Revision f5396e17 - 02/11/2019 06:34 PM - Andreas Kohlbecker

ref #8051 solving bug related to missing specimen type designations - 2

Revision 720edc33 - 02/12/2019 11:09 AM - Andreas Kohlbecker

ref #8051 more tests for specimen types in the registration page

History

#1 - 01/31/2019 03:52 PM - Andreas Kohlbecker

- Related to bug #8052: implement selenium tests for registration items lists added

#2 - 02/01/2019 12:44 PM - Andreas Kohlbecker

- Description updated
#3 - 02/01/2019 04:22 PM - Andreas Kohlbecker

- Description updated

#4 - 02/01/2019 04:25 PM - Andreas Kohlbecker
- Status changed from New to Resolved
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- % Done changed from 0 to 50

fully implemented, please review
Note: There a minor glitches in the types section of the regitration items:

e "Type:" should not be bold
e The colon following "Holotype" etc should not be bold

| suggest handling these issues in a next ticket since this may require changing things in the cdm-library

#5 - 02/11/2019 10:01 AM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 80

Point 1
search for Scientific name = Planothidium
Search result resolved (see description)

Point 4
search for Type designation status = Epitype
Search result resolved (see description)

Point 2: need feedback because | cannot revise:

Result list under a registration working set looks unchanged

Search for Scientific name = Eucocconeis

Goto http://phycobank.org/100301

If I click the stable identifier, | am redirectet to the unchanged production portal.

https://www.phycobank.org/cdm_dataportal/reference/6821a7b9-a3e5-427¢c-9¢86-cfb317a08d5f

Registration at 2018-10-29 09:58:53 in

Eucocconeis lacusbaicalensis Kulikovskiy & Lange-Bert. Type: Russian Federation, Bolshoi Ushkaniy Island, Lake Baikal , 20.7.1965, A.
Skabitschewsky. Holotype, (IBIW 15645(5)m).; Isotype, (SZCZ 15645(5)a). http://phycobank.org/100301

#6 - 02/11/2019 04:09 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

For accessing the registration http:/phycobank.org/100301 on the test server please use
http:/test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/registration/http%253A%252F %252Fphycobank.org%252F 100301

#7 - 02/11/2019 04:20 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

Registration Id: http:/phycobank.org/100301

Eucocconeis lacusbaicalensis Kulikovskiy & Lange-Bert. in Lake Baikal: Hotspot of endemic diatoms Il.Iconographia Diatomologica, 26: 35, pl. 30, fig:
1-7.2015

Isotype: (SZCZ 15645(5)a).
Kulikovskiy, M., Lange-Bertalot, H. & Kuznetsova, I. V., Lake Baikal: Hotspot of endemic diatoms Il.Iconographia Diatomologica, 26: [1]-656. 2015
Registration on 2018-10-29 09:58:53

Comment: Place of registration is correct.
Question: Why the holotype is missing? Is was databased as first entry in 100301.

#8 - 02/11/2019 05:21 PM - Andreas Kohlbecker
Question: Why the holotype is missing? Is was databased as first entry in 100301.

this is in deed a bug which | missed so far. thank you for finding this once just before the release. | will try to fix it ASAP

#9 - 02/11/2019 06:35 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

Problem solved!

#10 - 02/11/2019 07:06 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 80 to 100

Review: correct including all types. Ticket can be closed.

#11 - 02/12/2019 11:33 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

Also a test case has been added, closing ticket
